libximc: status_calb_t Struct Reference

libximc 3.0.2

Data Fields
status_calb_t Struct Reference

User unit device's state. More...

`#include <ximc.h>`

## Data Fields
unsigned int | MoveSts
| Flags of move state.
unsigned int | MvCmdSts
| Move command state.
unsigned int | PWRSts
| Flags of power state of stepper motor.
unsigned int | EncSts
| Encoder state.
unsigned int | WindSts
| Winding state.
float | CurPosition
| Current position.
long_t | EncPosition
| Current encoder position.
float | CurSpeed
| Motor shaft speed.
int | Ipwr
| Engine current, mA.
int | Upwr
| Power supply voltage, tens of mV.
int | Iusb
| USB current, mA.
int | Uusb
| USB voltage, tens of mV.
int | CurT
| Temperature, tenths of degrees Celsius.
unsigned int | Flags
| Status flags.
unsigned int | GPIOFlags
| Status flags of the GPIO outputs.
unsigned int | CmdBufFreeSpace
| This field is a service field.

## Detailed Description

User unit device's state.

A useful structure that contains current controller state, including speed, position, and boolean flags.

See also
  get_status_impl

## Field Documentation

## ◆ CmdBufFreeSpace

unsigned int CmdBufFreeSpace

This field is a service field.

It shows the number of free synchronization chain buffer cells.

## ◆ CurPosition

float CurPosition

Current position.

Corrected by the table.

## ◆ CurSpeed

float CurSpeed

Motor shaft speed.

## ◆ CurT

int CurT

Temperature, tenths of degrees Celsius.

## ◆ EncPosition

long_t EncPosition

Current encoder position.

## ◆ EncSts

unsigned int EncSts

Encoder state.

## ◆ Flags

unsigned int Flags

Status flags.

## ◆ GPIOFlags

unsigned int GPIOFlags

Status flags of the GPIO outputs.

## ◆ Ipwr

int Ipwr

Engine current, mA.

## ◆ Iusb

int Iusb

USB current, mA.

## ◆ MoveSts

unsigned int MoveSts

Flags of move state.

## ◆ MvCmdSts

unsigned int MvCmdSts

Move command state.

## ◆ PWRSts

unsigned int PWRSts

Flags of power state of stepper motor.

## ◆ Upwr

int Upwr

Power supply voltage, tens of mV.

## ◆ Uusb

int Uusb

USB voltage, tens of mV.

## ◆ WindSts

unsigned int WindSts

Winding state.